[patch] use the classpath version for gjdoc as well

Andrew Haley aph@redhat.com
Mon Jun 15 08:51:00 GMT 2009


Matthias Klose wrote:
> Mark Wielaard schrieb:

>>> 2009-06-13  Alexander Sack  <asac@jwsdot.com>
>>>
>>>         * tools/gnu/classpath/tools/gjdoc/Main.java (start): Use
>>>         gnu.classpath.Configuration.CLASSPATH_VERSION as version number.
>>>         * tools/classes/gnu/classpath/tools/gjdoc/Main.class: Regenerate.
>>>
>>> --- tools/gnu/classpath/tools/gjdoc/Main.java	(revision 148452)
>>> +++ tools/gnu/classpath/tools/gjdoc/Main.java	(working copy)
>>> @@ -1128,7 +1128,7 @@
>>>        //--- Show version and exit if requested by user
>>>
>>>        if (option_showVersion) {
>>> -        System.out.println("gjdoc " + getGjdocVersion());
>>> +        System.out.println("gjdoc " +
>>> gnu.classpath.Configuration.CLASSPATH_VERSION);
>>>          System.exit(0);
>>>        }
>> The idea is fine. But then please do also submit a patch to GNU
>> Classpath that just removes the whole getGjdocVersion() method.
>> Note that there is another variant called getDocletVersion() in
>> HtmlDoclet.java that you also want to change in this case.
> 
> attached.
> 
> I didn't remove the methods yet, so that the patch can be applied to the gcc-4.4
> branch as well. This should be done in classpath only, and then imported into
> libgcj.
> 
> ok for the attached patch on the libgcj branch and trunk?

OK.

Andrew.



More information about the Java-patches mailing list